## literki 0.0.0+20100113.git1da40724

=== Makefile ===
PLIKI=display.o keymap.o keys.o keyboard.o applet.o launcher.o logger.o slider.o image_cache.o touchpad.o switcher.o vibrator.o

LIBS=-lX11 -lXext -lXtst -lpthread -lXrandr -lpng -lfakekey

CXXCOMPILE=g++

CFLAGS=-g `freetype-config --cflags`
LDFLAGS=-g `freetype-config --libs`

%.o: %.cpp
	$(CXXCOMPILE) $(CFLAGS) -c $<

all:	$(PLIKI)
	g++ $(LIBS) $(LDFLAGS) -o literki $(PLIKI)

clean:	
	rm *.o
	rm literki

## literki 0.0.0%2B20100113.git1da40724

=== debian/control ===
Source: literki
Section: embedded
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian freesmartphone.org Team <pkg-fso-maint@lists.alioth.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 7), libfreetype6-dev, libpng12-dev, libfakekey-dev, libxi-dev, libxcb1-dev, libxrender-dev, libxrandr-dev, libpng++-dev
Standards-Version: 3.8.4
Homepage: http://git.senfdax.de/?p=literki
Vcs-Git: http://git.debian.org/git/pkg-fso/literki.git
Vcs-Browser: http://git.debian.org/?p=pkg-fso/literki.git

Package: literki
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Keyboard with configurable layout and transparency
 Literki is a full qwerty keyboard with configurable layout and 
 always-on functionality by usage of transparency. Applications 
 do not need to redraw and popping up the keyboard is therefore
 very fast.
 .
 In addition to keyboard, literki comes with touchpad and scroll 
 buttons.

## literki 0.0.0+20100113.git1da40724

=== debian/changelog ===
literki (0.0.0+20100113.git1da40724-1.2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:33 +1100

literki (0.0.0+20100113.git1da40724-1.2ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:18:52 +0000

literki (0.0.0+20100113.git1da40724-1.2ubuntu1) focal; urgency=medium

  * d/control: Build-depend on pkg-config.
  * d/p/06_use_pkg-config.patch: Use pkg-config instead of removed
    freetype-config to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 22 Mar 2020 23:17:53 -0400

literki (0.0.0+20100113.git1da40724-1.2build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:48:16 +0100

literki (0.0.0+20100113.git1da40724-1.2build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:14:26 +0000

literki (0.0.0+20100113.git1da40724-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/05_fix_ftbfs_binutils-gold.patch:
    Fix link with --no-add-needed ld flag. (Closes: #616624)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jan 2016 17:23:21 +0100

literki (0.0.0+20100113.git1da40724-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng1.6 and change B-D to libpng16-dev (Closes: #662421)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 13:45:34 +0100

literki (0.0.0+20100113.git1da40724-1) unstable; urgency=low

  * Initial release for main archive. Closes: #575441.
  * 01_fix_font_directory.diff - fix to Debian font dir hierarchy
  * 03_use_system_png++.diff - patch to depend on system png++ dev library
  * 04_fix_desktop.diff - fix .desktop file
  * offer optional patch of disabling touchpad
  * pkg-fso as the maintainer
  * Write and provide man page

 -- Timo Jyrinki <timo@debian.org>  Mon, 29 Mar 2010 19:35:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian freesmartphone.org Team <pkg-fso-maint@lists.alioth.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>
-Build-Depends: debhelper (>= 7), libfreetype6-dev, libpng12-dev, libfakekey-dev, libxi-dev, libxcb1-dev, libxrender-dev, libxrandr-dev, libpng++-dev
+Build-Depends: debhelper (>= 7), libfreetype6-dev, libpng-dev, libfakekey-dev, libxi-dev, libxcb1-dev, libxrender-dev, libxrandr-dev, libpng++-dev, pkg-config
 Standards-Version: 3.8.4
 Homepage: http://git.senfdax.de/?p=literki
 Vcs-Git: http://git.debian.org/git/pkg-fso/literki.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_DESTDIR = $(CURDIR)/debian/tmp

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
        confflags += --build=$(DEB_HOST_GNU_TYPE)
else
        confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	rm -f *.o literki
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean 
	dh_installdirs
	mkdir -p debian/tmp/usr/share/pixmaps
	cp -a literki.png debian/tmp/usr/share/pixmaps/
	mkdir -p debian/tmp/etc/literki
	cp -a landscape_layout.conf layout.conf literki.conf debian/tmp/etc/literki/
	mkdir -p debian/tmp/usr/share/literki
	cp -a png debian/tmp/usr/share/literki/
	mkdir -p debian/tmp/usr/share/applications
	cp -a literki.desktop debian/tmp/usr/share/applications/
	mkdir -p debian/tmp/usr/bin
	cp -a literki debian/tmp/usr/bin/

# Build architecture-dependent files here.
binary-arch: build install 
	dh_testdir
	dh_testroot

	dh_installman debian/literki.1
	dh_installdocs
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp --list-missing
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -- --warnings=6
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# Nothing to do

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
